#!/usr/bin/env Rscript             
#########################################################
# TASK: importing dir str 
# create a function that takes 'drug' and 'gene' as args, 
# This script is sourced by plotting.R to import dir str
# for various plots, etc.
#########################################################
import_dirs <- function(drug, gene) {
  gene_match = paste0(gene,"_p.")
  cat(gene_match)
  
  #=============
  # directories and variables
  #=============
  datadir        <<- paste0("~/git/Data/")
  indir          <<- paste0(datadir, drug, "/input")
  outdir         <<- paste0("~/git/Data/", drug, "/output")
  plotdir        <<- paste0("~/git/Data/", drug, "/output/plots")
  
  dr_muts_col    <<- paste0('dr_mutations_', drug)
  other_muts_col <<- paste0('other_mutations_', drug)
  resistance_col <<- "drtype"
  
}
